Subject: latex-koma-script: scrlttr2: ERROR: Argument of \strip@prefix has an extra }.
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Fri, 19 Oct 2018 15:35:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've just committed texlive-latex-koma-script which only works partly,
but I can't figure out the root of the issue.

This linked example works:

	https://github.com/oliverklee/latex-examples/tree/master/simple-article-koma-script

The following fails:

--8<---------------cut here---------------start------------->8---
\documentclass[a4paper]{scrlttr2}
\usepackage[utf8]{inputenc}

\title{A very simple document}
\author{Oliver Klee}
\date{\today\ (a very good day)}

\begin{document}

This is an example of how to create line breaks and paragraphs:

Three Rings for the Elven-kings under the sky,\\
Seven for the Dwarf-lords in their halls of stone,\\
Nine for Mortal Men doomed to die,\\
One for the Dark Lord on his dark throne

\end{document}
--8<---------------cut here---------------end--------------->8---

with

--8<---------------cut here---------------start------------->8---
ERROR: Argument of \strip@prefix has an extra }.

--- TeX said ---
<inserted text> 
                \par 
l.12 \begin{document}
                     
--- HELP ---
From the .log file...

I've run across a `}' that doesn't seem to match anything.
For example, `\def\a#1{...}' and `\a}' would produce
this error. If you simply proceed now, the `\par' that
I've just inserted will cause me to report a runaway
argument that might be the root of the problem. But if
your `}' was spurious, just type `2' and it will go away.
--8<---------------cut here---------------end--------------->8---

I can't install the full Texlive distribution as I don't have enough
space.

Ricardo, if you can, could you try this out and see if it works with the
full Texlive?

-- 
Pierre Neidhardt
https://ambrevar.xyz/